FMAX(3)

NAME
fmax, fmaxf, fmaxl, fmin, fminf, fminl - floating-point maximum and minimum functions

SYNOPSIS
libm
#include <math.h>
double
fmax(double x, double y);
float
fmaxf(float x, float y);
long double
fmaxl(long double x, long double y);
double
fmin(double x, double y);
float
fminf(float x, float y);
long double
fminl(long double x, long double y);

DESCRIPTION
The fmax(), fmaxf(), and fmaxl() functions return the larger of x and y, and likewise the fmin(), fminf(), and fminl() functions return the smaller of x and y. They treat +0.0 as being larger than -0.0. If one argument is an NaN, then the other argument is returned. If both arguments are NaNs, then the result is an NaN. These routines do not raise any floating-point exceptions.

SEE ALSO
fabs(3), fdim(3)

STANDARDS
The fmax(), fmaxf(), fmaxl(), fmin(), fminf(), and fminl() functions conform to isoC-99.

HISTORY
These routines first appeared in OpenBSD 4.5.